org.apache.lucene.util.packed

## Class PackedInts.FormatAndBits

- java.lang.Object
- - org.apache.lucene.util.packed.PackedInts.FormatAndBits

- Enclosing class:
    PackedInts

      public static class PackedInts.FormatAndBits
      extends Object

  Simple class that holds a format and a number of bits per value.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `bitsPerValue`
    `PackedInts.Format` | `format`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PackedInts.FormatAndBits(PackedInts.Format format, int bitsPerValue)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### format

          public final PackedInts.Format format

    - #### bitsPerValue

          public final int bitsPerValue

  - ### Constructor Detail

    - #### PackedInts.FormatAndBits

          public PackedInts.FormatAndBits(PackedInts.Format format,
                                  int bitsPerValue)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.